# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2014 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               jamulus
Version:            3.3.3
Release:            1.2
Summary:            Low-Latency Internet Connection Tool for Real-Time Jam Sessions
Source:             http://sourceforge.net/projects/llcon/files/Jamulus/%{version}/Jamulus-%{version}.tar.gz
URL:                http://llcon.sourceforge.net/index.html
Group:              Productivity/Multimedia/Sound/Utilities
License:            GPL-2.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libqt4-devel
BuildRequires:      jack-devel
BuildRequires:      gcc-c++ make glibc-devel pkgconfig
BuildRequires:      update-desktop-files
Provides:           llcon = %{version}
Obsoletes:          llcon < %{version}

%description
The Jamulus software enables musicians to perform real-time jam sessions over
the internet. There is one server running the Jamulus server software which
collects the audio data from each Jamulus client software, mixes the audio data
and sends the mix back to each client.

%prep
%setup -q -n "Jamulus%{version}"
chmod -x README

%build
qmake
make clean
make %{?_smp_mflags}

%install
install -D -m0755 ./Jamulus "%{buildroot}%{_bindir}/jamulus"
install -D -m0644 ./src/res/mainicon.png "%{buildroot}%{_datadir}/pixmaps/%{name}.png"

%suse_update_desktop_file -c %{name} %{name} "%{summary}" jamulus %{name} Audio AudioVideo Mixer

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog TODO
%{_bindir}/jamulus
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Jan  3 2014 pascal.bleser@opensuse.org
- initial version (3.3.3)
